package PizzaZH;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

public class FoServlet extends HttpServlet {
    
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        // session keres
        HttpSession sess = request.getSession(true);
        // ha mar van, akkor a sessionhoz tartozo pizza, kulonben null
        Pizza rendeles = (Pizza)sess.getAttribute("rendeles");
        
        // ha kaptunk meretet, akkor epp most indult a rendeles, uj pizzat kell letrehozni
        if (request.getParameter("meret") != null) {
            rendeles = new Pizza(Integer.parseInt(request.getParameter("meret")));
            sess.setAttribute("rendeles", rendeles);
            // elegansabb lenne egy kulon Megrendelo osztaly, de most ZH-t irunk
            sess.setAttribute("nev", request.getParameter("nev"));
            sess.setAttribute("cim", request.getParameter("cim"));
        }
        
        // feltet hozzaadas linkre kattintott
        if (request.getParameter("feltet_hozzaad") != null) {
            rendeles.ujFeltet(Integer.parseInt(request.getParameter("feltet_hozzaad")));
            request.setAttribute("uzenet", "Feltt hozzadsa megtrtnt");
        }

        // feltet torlese linkre kattintott
        if (request.getParameter("feltet_torol") != null) {
            rendeles.torolFeltet(Integer.parseInt(request.getParameter("feltet_torol")));
            request.setAttribute("uzenet", "Feltt trlse megtrtnt");
        }        
        
        // barmi is tortent, az alap rendeles kepernyot kell behozni
        RequestDispatcher alapkepernyo = request.getRequestDispatcher("/alapkepernyo.jsp");
        alapkepernyo.forward(request, response);
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
